package hiro.yoshioka.sdh;

public enum HeaderType {
	INSERT("insert", "+"), DELETE("delete", "-"), UPDATE("update", "*"), NO_EDITION(
			"no_edition", "");

	private String text;
	private String mark;

	private HeaderType(String text, String mark) {
		this.text = text;
		this.mark = mark;
	}

	public String getMark() {
		return mark;
	}

	public String getText() {
		return text;
	}

	@Override
	public String toString() {
		if (NO_EDITION.equals(this)) {
			return text.toUpperCase();
		}
		return text.toUpperCase() + "(" + mark + ")";
	}
}
